<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Payout extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'amount',
        'payment_method',
        'status',
        'reference_number'
    ];

    public function vendor()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
