@extends('adminlte::page')

@section('title', 'Activate Card')

@section('content_header')
    <h1>Activate Your Card</h1>
@stop

@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('card.activate') }}" method="POST">
                @csrf
                <div class="form-group">
                    <label>Wallet Number</label>
                    <input type="text" name="wallet_number" class="form-control" required>
                </div>
                <label>Card Number</label>
                    <input type="text" name="card_number" class="form-control" required>
                </div>
                <div class="form-group">
                    <label>4-Digit PIN</label>
                    <input type="password" name="pin" class="form-control" required maxlength="4">
                </div>
                <button type="submit" class="btn btn-primary">Activate Card</button>
            </form>
        </div>
    </div>
@stop