<!-- resources/views/donor/donate.blade.php -->
@extends('layouts.app')

@section('content')
<div class="container">
    <h2>Make Donation</h2>
    <form method="POST" action="{{ route('donor.donate') }}">
        @csrf
        <div class="mb-3">
            <label>Amount</label>
            <input type="number" name="amount" class="form-control" required>
        </div>
        <div class="mb-3">
            <label>Category</label>
            <select name="category" class="form-select" required>
                @foreach($categories as $category)
                    <option value="{{ $category }}">{{ ucfirst($category) }}</option>
                @endforeach
            </select>
        </div>
        <div class="mb-3">
            <label>Card Numbers (comma separated)</label>
            <textarea name="card_numbers" class="form-control" required></textarea>
        </div>
        <button type="submit" class="btn btn-primary">Donate</button>
    </form>
</div>
@endsection