require('dotenv').config();
const { activate } = require('../../lib/laravelClient');

describe('Real API Integration Tests', () => {
  test('Actual card activation', async () => {
    const result = await activate(
      process.env.TEST_CARD_NUMBER,
      process.env.TEST_WALLET_NUMBER,
      process.env.TEST_PIN
    );
    expect(result.status).toBe(200);
    expect(result.data.status).toBe('success');
  }, 10000); // Increase timeout
});