<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller; // ✅ Ensure this is imported
use App\Models\Transaction;
use Illuminate\Http\Request;

class TransactionController extends Controller
{
    public function index(Request $request)
    {
        return response()->json($request->user()->transactions);
    }

    public function store(Request $request)
    {
        $transaction = $request->user()->transactions()->create($request->all());
        return response()->json($transaction, 201);
    }
}
