<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    // In the migration file
    public function up()
    {
        Schema::table('transactions', function (Blueprint $table) {
            $table->enum('donation_type', ['card', 'bulk'])->nullable()->after('type');
        });
    }

    public function down()
    {
        Schema::table('transactions', function (Blueprint $table) {
            $table->dropColumn('donation_type');
        });
    }
};
