<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('kycs', function (Blueprint $table) {
            $table->string('business_registration_number')->nullable();
            $table->string('tax_number')->nullable();
            $table->string('bank_account_name')->nullable();
            $table->string('bvn')->nullable();
        });
    }

    public function down()
    {
        Schema::table('kycs', function (Blueprint $table) {
            $table->dropColumn(['business_registration_number', 'tax_number', 'bank_account_name', 'bvn']);
        });
    }
};
