@extends('adminlte::page')

@section('title', 'Activate Card')

@section('content_header')
<h1>Make a Donation</h1>
@stop

@section('content')
<div class="card">
    <div class="card-body">
        <form action="{{ route('donations.process.card') }}" method="POST">
            @csrf
            <div class="form-group">
                <label>Beneficiary Card Number</label>
                <input type="text" name="card_number" class="form-control" required>
            </div>
            <div class="form-group">
                <label>Amount</label>
                <input type="number" step="0.01" name="amount" class="form-control" required>
            </div>
            <div class="form-group">
                <label>Sub-Wallet</label>
                <select name="sub_wallet" class="form-control" required>
                    <option value="housing">Housing</option>
                    <option value="education">Education</option>
                    <option value="health">Health</option>
                    <option value="food">Food</option>
                    <option value="finance">Finance</option>
                    <option value="utility">Utility</option>
                </select>
            </div>
            <button type="submit" class="btn btn-primary">Donate</button>
        </form>
    </div>
</div>
@stop