@extends('layouts.app')

@section('content')
<div class="container">
    <h1>Make a Donation</h1>
    <form action="{{ route('donations.store') }}" method="POST">
        @csrf
        <div class="form-group">
            <label for="wallet_number">Wallet Number</label>
            <input type="text" name="wallet_number" id="wallet_number" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="category">Category</label>
            <select name="category" id="category" class="form-control" required>
                <option value="housing">Housing</option>
                <option value="education">Education</option>
                <option value="health">Health</option>
                <option value="food">Food</option>
                <option value="finance">Finance</option>
                <option value="utility">Utility</option>
            </select>
        </div>
        <div class="form-group">
            <label for="amount">Amount</label>
            <input type="number" name="amount" id="amount" class="form-control" required min="1">
        </div>
        <button type="submit" class="btn btn-primary">Donate</button>
    </form>
</div>
@endsection