@extends('layouts.beneficiary')

@section('page-title', 'Dashboard')

@section('vendor-content')
<div class="container py-4">
    <div class="card shadow-sm">
        <div class="card-header bg-success text-white">
            <h4 class="mb-0">
                <i class="bi bi-check-circle me-2"></i> Transaction Successful
            </h4>
        </div>
        
        <div class="card-body text-center py-5">
            <div class="display-1 text-success mb-4">
                <i class="bi bi-check-circle-fill"></i>
            </div>
            <h3 class="mb-3">Transaction Processed Successfully!</h3>
            <p class="lead">{{ session('success') }}</p>
            
            <div class="d-flex justify-content-center gap-3 mt-5">
                <a href="{{ route('transactions.create') }}" class="btn btn-primary">
                    <i class="bi bi-arrow-repeat me-2"></i> New Transaction
                </a>
                <a href="{{ route('vendor.dashboard') }}" class="btn btn-outline-secondary">
                    <i class="bi bi-house me-2"></i> Return to Dashboard
                </a>
            </div>
        </div>
    </div>
</div>
@endsection